Name:           lttnganalyses
Version:        0.6.1
Release:        1%{?dist}
Summary:        LTTng trace analysis tools
Group:          Development/Tools
License:        MIT
URL:            https://github.com/lttng/lttng-analyses
Source0:        http://pypi.python.org/packages/source/l/lttnganalyses/lttnganalyses-%{version}.tar.gz
BuildRequires:  python3-devel >= 3.4
BuildRequires:  python3-babeltrace >= 1.2
BuildRequires:	babeltrace >= 1.2
BuildRequires:  help2man
BuildArch:      noarch

%description
The LTTng project aims at providing highly efficient tracing tools for Linux.
Its tracers help tracking down performance issues and debugging problems
involving multiple concurrent processes and threads. Tracing across multiple
systems is also possible.

This package contains various tools to analyse LTTng kernel traces and extract
monitoring data and metrics. As opposed to other diagnostic or monitoring
solutions, this approach is designed to allow users to record their system's
activity with a low overhead, wait for a problem to occur and then diagnose
its cause offline.

%package -n python3-%{name}
Summary:        LTTng trace analysis tools
Group:          Development/Tools
Requires:       python3-babeltrace >= 1.2
Requires:	babeltrace >= 1.2

%description -n python3-%{name}
The LTTng project aims at providing highly efficient tracing tools for Linux.
Its tracers help tracking down performance issues and debugging problems
involving multiple concurrent processes and threads. Tracing across multiple
systems is also possible.

This package contains various tools to analyse LTTng kernel traces and extract
monitoring data and metrics. As opposed to other diagnostic or monitoring
solutions, this approach is designed to allow users to record their system's
activity with a low overhead, wait for a problem to occur and then diagnose
its cause offline.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-analyses-record > %{buildroot}/%{_mandir}/man1/lttng-analyses-record.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-cputop > %{buildroot}/%{_mandir}/man1/lttng-cputop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-cputop-mi > %{buildroot}/%{_mandir}/man1/lttng-cputop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencyfreq > %{buildroot}/%{_mandir}/man1/lttng-iolatencyfreq.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencyfreq-mi > %{buildroot}/%{_mandir}/man1/lttng-iolatencyfreq-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencystats > %{buildroot}/%{_mandir}/man1/lttng-iolatencystats.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencystats-mi > %{buildroot}/%{_mandir}/man1/lttng-iolatencystats-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencytop > %{buildroot}/%{_mandir}/man1/lttng-iolatencytop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolatencytop-mi > %{buildroot}/%{_mandir}/man1/lttng-iolatencytop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolog > %{buildroot}/%{_mandir}/man1/lttng-iolog.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iolog-mi > %{buildroot}/%{_mandir}/man1/lttng-iolog-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iousagetop > %{buildroot}/%{_mandir}/man1/lttng-iousagetop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-iousagetop-mi > %{buildroot}/%{_mandir}/man1/lttng-iousagetop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqfreq > %{buildroot}/%{_mandir}/man1/lttng-irqfreq.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqfreq-mi > %{buildroot}/%{_mandir}/man1/lttng-irqfreq-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqlog > %{buildroot}/%{_mandir}/man1/lttng-irqlog.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqlog-mi > %{buildroot}/%{_mandir}/man1/lttng-irqlog-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqstats > %{buildroot}/%{_mandir}/man1/lttng-irqstats.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-irqstats-mi > %{buildroot}/%{_mandir}/man1/lttng-irqstats-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-memtop > %{buildroot}/%{_mandir}/man1/lttng-memtop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-memtop-mi > %{buildroot}/%{_mandir}/man1/lttng-memtop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodfreq > %{buildroot}/%{_mandir}/man1/lttng-periodfreq.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodfreq-mi > %{buildroot}/%{_mandir}/man1/lttng-periodfreq-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodlog > %{buildroot}/%{_mandir}/man1/lttng-periodlog.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodlog-mi > %{buildroot}/%{_mandir}/man1/lttng-periodlog-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodstats > %{buildroot}/%{_mandir}/man1/lttng-periodstats.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodstats-mi > %{buildroot}/%{_mandir}/man1/lttng-periodstats-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodtop > %{buildroot}/%{_mandir}/man1/lttng-periodtop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-periodtop-mi > %{buildroot}/%{_mandir}/man1/lttng-periodtop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedfreq > %{buildroot}/%{_mandir}/man1/lttng-schedfreq.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedfreq-mi > %{buildroot}/%{_mandir}/man1/lttng-schedfreq-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedlog > %{buildroot}/%{_mandir}/man1/lttng-schedlog.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedlog-mi > %{buildroot}/%{_mandir}/man1/lttng-schedlog-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedstats > %{buildroot}/%{_mandir}/man1/lttng-schedstats.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedstats-mi > %{buildroot}/%{_mandir}/man1/lttng-schedstats-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedtop > %{buildroot}/%{_mandir}/man1/lttng-schedtop.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-schedtop-mi > %{buildroot}/%{_mandir}/man1/lttng-schedtop-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-syscallstats > %{buildroot}/%{_mandir}/man1/lttng-syscallstats.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-syscallstats-mi > %{buildroot}/%{_mandir}/man1/lttng-syscallstats-mi.1
help2man --no-discard-stderr %{buildroot}/%{_bindir}/lttng-track-process > %{buildroot}/%{_mandir}/man1/lttng-track-process.1

%files -n python3-%{name}
%doc README.rst
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}*
%{_bindir}/lttng-analyses-record
%{_bindir}/lttng-cputop
%{_bindir}/lttng-cputop-mi
%{_bindir}/lttng-iolatencyfreq
%{_bindir}/lttng-iolatencyfreq-mi
%{_bindir}/lttng-iolatencystats
%{_bindir}/lttng-iolatencystats-mi
%{_bindir}/lttng-iolatencytop
%{_bindir}/lttng-iolatencytop-mi
%{_bindir}/lttng-iolog
%{_bindir}/lttng-iolog-mi
%{_bindir}/lttng-iousagetop
%{_bindir}/lttng-iousagetop-mi
%{_bindir}/lttng-irqfreq
%{_bindir}/lttng-irqfreq-mi
%{_bindir}/lttng-irqlog
%{_bindir}/lttng-irqlog-mi
%{_bindir}/lttng-irqstats
%{_bindir}/lttng-irqstats-mi
%{_bindir}/lttng-memtop
%{_bindir}/lttng-memtop-mi
%{_bindir}/lttng-periodfreq
%{_bindir}/lttng-periodfreq-mi
%{_bindir}/lttng-periodlog
%{_bindir}/lttng-periodlog-mi
%{_bindir}/lttng-periodstats
%{_bindir}/lttng-periodstats-mi
%{_bindir}/lttng-periodtop
%{_bindir}/lttng-periodtop-mi
%{_bindir}/lttng-schedfreq
%{_bindir}/lttng-schedfreq-mi
%{_bindir}/lttng-schedlog
%{_bindir}/lttng-schedlog-mi
%{_bindir}/lttng-schedstats
%{_bindir}/lttng-schedstats-mi
%{_bindir}/lttng-schedtop
%{_bindir}/lttng-schedtop-mi
%{_bindir}/lttng-syscallstats
%{_bindir}/lttng-syscallstats-mi
%{_bindir}/lttng-track-process
%{_mandir}/man1/lttng-analyses-record.1*
%{_mandir}/man1/lttng-cputop.1*
%{_mandir}/man1/lttng-cputop-mi.1*
%{_mandir}/man1/lttng-iolatencyfreq.1*
%{_mandir}/man1/lttng-iolatencyfreq-mi.1*
%{_mandir}/man1/lttng-iolatencystats.1*
%{_mandir}/man1/lttng-iolatencystats-mi.1*
%{_mandir}/man1/lttng-iolatencytop.1*
%{_mandir}/man1/lttng-iolatencytop-mi.1*
%{_mandir}/man1/lttng-iolog.1*
%{_mandir}/man1/lttng-iolog-mi.1*
%{_mandir}/man1/lttng-iousagetop.1*
%{_mandir}/man1/lttng-iousagetop-mi.1*
%{_mandir}/man1/lttng-irqfreq.1*
%{_mandir}/man1/lttng-irqfreq-mi.1*
%{_mandir}/man1/lttng-irqlog.1*
%{_mandir}/man1/lttng-irqlog-mi.1*
%{_mandir}/man1/lttng-irqstats.1*
%{_mandir}/man1/lttng-irqstats-mi.1*
%{_mandir}/man1/lttng-memtop.1*
%{_mandir}/man1/lttng-memtop-mi.1*
%{_mandir}/man1/lttng-periodfreq.1*
%{_mandir}/man1/lttng-periodfreq-mi.1*
%{_mandir}/man1/lttng-periodlog.1*
%{_mandir}/man1/lttng-periodlog-mi.1*
%{_mandir}/man1/lttng-periodstats.1*
%{_mandir}/man1/lttng-periodstats-mi.1*
%{_mandir}/man1/lttng-periodtop.1*
%{_mandir}/man1/lttng-periodtop-mi.1*
%{_mandir}/man1/lttng-schedfreq.1*
%{_mandir}/man1/lttng-schedfreq-mi.1*
%{_mandir}/man1/lttng-schedlog.1*
%{_mandir}/man1/lttng-schedlog-mi.1*
%{_mandir}/man1/lttng-schedstats.1*
%{_mandir}/man1/lttng-schedstats-mi.1*
%{_mandir}/man1/lttng-schedtop.1*
%{_mandir}/man1/lttng-schedtop-mi.1*
%{_mandir}/man1/lttng-syscallstats.1*
%{_mandir}/man1/lttng-syscallstats-mi.1*
%{_mandir}/man1/lttng-track-process.1*

%changelog
* Fri Jun 09 2017 Michael Jeanson <mjeanson@efficios.com> - 0.6.1-1
- New upstream release

* Wed Jul 29 2015 Michael Jeanson <mjeanson@gmail.com> - 0.3.0-1
- New upstream release
